Bug 508349 - Review Request: kdepim-runtime - KDE PIM Runtime Environment
Review Request: kdepim-runtime - KDE PIM Runtime Environment
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 13:05 EDT by Ngo Than
Modified: 2009-07-26 16:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-26 16:27:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2009-06-26 22:01:22 EDT
Some quick comments:

0. drop the epoch, this is a new pkg

1.  missing desktop-file-install/desktop-file-validate

2.  missing icon/mime scriptlets

3.  do we really want/need
Provides: kdepim4 = %{version}-%{release}
here?

4.  Source URL is wrong (s/stable/unstable), but that's minor
Comment 2 Ngo Than 2009-06-29 07:28:24 EDT
>0. drop the epoch, this is a new pkg
it's fixed

>1.  missing desktop-file-install/desktop-file-validate
is it really required to use desktop-file-install/desktop-file-validate?

>2.  missing icon/mime scriptlets
add missing update-mime-database, it's fixed

>3.  do we really want/need
>Provides: kdepim4 = %{version}-%{release}
>here?
it's not needed, drop it

>4.  Source URL is wrong (s/stable/unstable), but that's minor  
it's fixed

new specs and srpm uploaded
Comment 3 Rex Dieter 2009-06-29 09:32:17 EDT
Yes, 1, is needed, for items under /usr/share/applications/,

but we can deal with that post-review, I won't consider it a blocker for now.
Comment 4 Rex Dieter 2009-06-29 09:34:54 EDT
Ah, I see you added it, good.

The rest looks good now, can't test buildability/runtime yet, but we'll deal with that when the rest of kde-4.3-rc2 is built.

APPROVED.
Comment 5 Ngo Than 2009-06-29 10:22:17 EDT
New Package CVS Request
=======================
Package Name: kdepim-runtime
Short Description: KDE PIM Runtime Environment
Owners: than
Branches: F-10 F-11
InitialCC:
Comment 6 Jason Tibbitts 2009-06-29 13:08:58 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.